%global pypi_name pubnub

Name:           python-%{pypi_name}
Version:        4.5.4
Release:        1%{?dist}
Summary:        Python client for PushNub service

License:        MIT
URL:            http://pubnub.com
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Python client for PushNub service. 

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python client for PushNub service. 

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Mon Oct 19 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.5.4-1
- Initial package for Fedora